Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4498)
@@ -335,41 +334,38 @@
     CHARACTER(LEN=17) ::  type_tspr = 'timeSeriesProfile'          !< name of stationary profile measurements
 
-    CHARACTER(LEN=6), DIMENSION(1:5) ::  soil_vars       = (/                  & !< list of soil variables
-                            't_soil',                                          &
-                            'm_soil',                                          &
-                            'lwc   ',                                          &
-                            'lwcs  ',                                          &
-                            'smp   '                       /)
-
-    CHARACTER(LEN=10), DIMENSION(0:1,1:8) ::  chem_vars = RESHAPE( (/          &
-                                              'mcpm1     ', 'PM1       ',      &
-                                              'mcpm2p5   ', 'PM2.5     ',      &
-                                              'mcpm10    ', 'PM10      ',      &
-                                              'mfno2     ', 'NO2       ',      &
-                                              'mfno      ', 'NO        ',      &
-                                              'mcno2     ', 'NO2       ',      &
-                                              'mcno      ', 'NO        ',      &
-                                              'tro3      ', 'O3        '       &
-                                                                   /), (/ 2, 8 /) )
-
-    LOGICAL ::  global_attribute = .TRUE.           !< flag indicating a global attribute
-    LOGICAL ::  initial_write_coordinates = .FALSE. !< flag indicating a global attribute
-    LOGICAL ::  use_virtual_measurement = .FALSE.   !< Namelist parameter
-
-    INTEGER(iwp) ::  maximum_name_length = 32 !< maximum name length of station names
-    INTEGER(iwp) ::  ntimesteps               !< number of timesteps defined in NetCDF output file
-    INTEGER(iwp) ::  off_pr = 1               !< number neighboring grid points (in each direction) where virtual profile
-                                              !< measurements shall be taken, in addition to the given coordinates in the driver
-    INTEGER(iwp) ::  off_ts = 1               !< number neighboring grid points (in each direction) where virtual timeseries
-                                              !< measurements shall be taken, in addition to the given coordinates in the driver
-    INTEGER(iwp) ::  off_tr = 1               !< number neighboring grid points (in each direction) where virtual trajectory
-                                              !< measurements shall be taken, in addition to the given coordinates in the driver
-
-    REAL(wp) ::  dt_virtual_measurement = 0.0_wp    !< sampling interval
+    CHARACTER(LEN=6), DIMENSION(1:5) ::  soil_vars = (/ 't_soil', & !< list of soil variables
+                                                        'm_soil',                                  &
+                                                        'lwc   ',                                  &
+                                                        'lwcs  ',                                  &
+                                                        'smp   ' /)
+
+    CHARACTER(LEN=10), DIMENSION(0:1,1:8) ::  chem_vars = RESHAPE( (/ 'mcpm1     ', 'PM1       ',  &
+                                                                      'mcpm2p5   ', 'PM2.5     ',  &
+                                                                      'mcpm10    ', 'PM10      ',  &
+                                                                      'mfno2     ', 'NO2       ',  &
+                                                                      'mfno      ', 'NO        ',  &
+                                                                      'mcno2     ', 'NO2       ',  &
+                                                                      'mcno      ', 'NO        ',  &
+                                                                      'tro3      ', 'O3        '   &
+                                                                    /), (/ 2, 8 /) )
+
+    INTEGER(iwp) ::  maximum_name_length = 32  !< maximum name length of station names
+    INTEGER(iwp) ::  ntimesteps                !< number of timesteps defined in NetCDF output file
+    INTEGER(iwp) ::  off_pr              = 1   !< number of neighboring grid points (in each direction) where virtual profile
+                                               !< measurements shall be taken, in addition to the given coordinates in the driver
+    INTEGER(iwp) ::  off_ts              = 1   !< number of neighboring grid points (in each direction) where virtual timeseries
+                                               !< measurements shall be taken, in addition to the given coordinates in the driver
+    INTEGER(iwp) ::  off_tr              = 1   !< number of neighboring grid points (in each direction) where virtual trajectory
+                                               !< measurements shall be taken, in addition to the given coordinates in the driver
+    LOGICAL ::  global_attribute          = .TRUE.   !< flag indicating a global attribute
+    LOGICAL ::  initial_write_coordinates = .FALSE.  !< flag indicating a global attribute
+    LOGICAL ::  use_virtual_measurement   = .FALSE.  !< Namelist parameter
+
+    REAL(wp) ::  dt_virtual_measurement   = 0.0_wp  !< sampling interval
     REAL(wp) ::  time_virtual_measurement = 0.0_wp  !< time since last sampling
-    REAL(wp) ::  vm_time_start = 0.0                !< time after which sampling shall start
-
-    TYPE( virt_general )                        ::  vmea_general !< data structure which encompass global variables
-    TYPE( virt_mea ), DIMENSION(:), ALLOCATABLE ::  vmea         !< data structure contain station-specific variables
+    REAL(wp) ::  vm_time_start            = 0.0     !< time after which sampling shall start
+
+    TYPE( virt_general )                        ::  vmea_general  !< data structure which encompasses global variables
+    TYPE( virt_mea ), DIMENSION(:), ALLOCATABLE ::  vmea          !< data structure containing station-specific variables
 
     INTERFACE vm_check_parameters
@@ -403,17 +399,17 @@
 !
 !-- Public interfaces
-    PUBLIC  vm_check_parameters,                                               &
-            vm_data_output,                                                    &
-            vm_init,                                                           &
-            vm_init_output,                                                    &
-            vm_parin,                                                          &
+    PUBLIC  vm_check_parameters,                                                                   &
+            vm_data_output,                                                                        &
+            vm_init,                                                                               &
+            vm_init_output,                                                                        &
+            vm_parin,                                                                              &
             vm_sampling
 
 !
 !-- Public variables
-    PUBLIC  dt_virtual_measurement,                                            &
-            time_virtual_measurement,                                          &
-            vmea,                                                              &
-            vmea_general,                                                      &
+    PUBLIC  dt_virtual_measurement,                                                                &
+            time_virtual_measurement,                                                              &
+            vmea,                                                                                  &
+            vmea_general,                                                                          &
             vm_time_start
 
@@ -421,9 +417,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters for virtual measurement module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE vm_check_parameters
 
@@ -432,5 +428,5 @@
 !-- Virtual measurements require a setup file.
     IF ( .NOT. input_pids_vm )  THEN
-       message_string = 'If virtual measurements are taken, a setup input ' // &
+       message_string = 'If virtual measurements are taken, a setup input ' //                     &
                         'file for the site locations is mandatory.'
        CALL message( 'vm_check_parameters', 'PA0533', 1, 2, 0, 6, 0 )
@@ -438,10 +434,9 @@
 !
 !-- In case virtual measurements are taken, a static input file is required.
-!-- This is because UTM coordinates for the PALM domain origin are required
-!-- for correct mapping of the measurements.
+!-- This is because UTM coordinates for the PALM domain origin are required for correct mapping of
+!-- the measurements.
 !-- ToDo: Revise this later and remove this requirement.
     IF ( .NOT. input_pids_static )  THEN
-       message_string = 'If virtual measurements are taken, a static input ' //&
-                        'file is mandatory.'
+       message_string = 'If virtual measurements are taken, a static input file is mandatory.'
        CALL message( 'vm_check_parameters', 'PA0534', 1, 2, 0, 6, 0 )
     ENDIF
@@ -451,17 +446,15 @@
 !-- In case of non-parallel NetCDF the virtual measurement output is not
 !-- working. This is only designed for parallel NetCDF.
-    message_string = 'If virtual measurements are taken, parallel ' //         &
-                     'NetCDF is required.'
+    message_string = 'If virtual measurements are taken, parallel NetCDF is required.'
     CALL message( 'vm_check_parameters', 'PA0708', 1, 2, 0, 6, 0 )
 #endif
 !
-!-- Check if the given number of neighboring grid points do not exceeds the number
+!-- Check if the given number of neighboring grid points do not exceed the number
 !-- of ghost points.
-    IF ( off_pr > nbgp - 1  .OR.  off_ts > nbgp - 1  .OR.  off_tr > nbgp - 1 ) &
-    THEN
-       WRITE(message_string,*)                                                 &
-                        'If virtual measurements are taken, the number ' //    &
-                        'of surrounding grid points must not be larger ' //    &
-                        'than the number of ghost points - 1, which is: ',     &
+    IF ( off_pr > nbgp - 1  .OR.  off_ts > nbgp - 1  .OR.  off_tr > nbgp - 1 )  THEN
+       WRITE(message_string,*)                                                                     &
+                        'If virtual measurements are taken, the number ' //                        &
+                        'of surrounding grid points must not be larger ' //                        &
+                        'than the number of ghost points - 1, which is: ',                         &
                         nbgp - 1
        CALL message( 'vm_check_parameters', 'PA0705', 1, 2, 0, 6, 0 )
